SC_ENUM_APPS(3)

NAME
sc_enum_apps - Enumerate the applications on a card

SYNOPSIS

    #include <opensc.h>
    int sc_enum_apps(struct sc_card *card);

DESCRIPTION

This function enumerates the applications on card, and stores them in the structure. The list of applications can then later be searched with sc_find_app_by_aid() or sc_find_pkcs15_app().

RETURN VALUE

Returns the number of applications on the card, or a negative value in case of error.